{{- if .Values.istio.enabled -}}
apiVersion: v1
items:
- apiVersion: networking.istio.io/v1beta1
  kind: VirtualService
  metadata:
    labels:
      app: gin-webserver-deploy
    name: gin-webserver-virtualservice
    namespace: {{ .Release.Namespace }}
  spec:
    gateways:
    - kyma-system/kyma-gateway
    hosts:
    - michal.kyma-dev-goacademy.t-sov.live
    http:
    - match:
      - uri:
          regex: /.*
      route:
      - destination:
          host: gin-webserver-deploy
          port:
            number: 8080
kind: List
metadata:
  resourceVersion: ""
{{- end }}

